Get expense history
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_user_first_name": "<string>",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_user_last_name": "<string>",
"entity_user_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_user_role_name": "<string>",
"event_data": {
"new_status": "new",
"approval_policy_id": "<string>",
"approval_policy_name": "<string>",
"approval_policy_process_id": "<string>",
"approval_request_id": "<string>",
"approval_source": "<string>",
"migrated_action": "<string>",
"old_status": "new",
"reject_reason": "<string>"
},
"event_type": "<string>",
"recorded_by": "user",
"timestamp": "2023-11-07T05:31:56Z",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Transactions
Get expense history
GET
/
finops
/
v1
/
transactions
/
{transaction_id}
/
expense_history
Get expense history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Query Parameters
Filter by event type (e.g. status_changed)
Available options:
status_changed, approval_action, expense_created, expense_updated, submitted, approval_requested, auto_approved, approvals_bypassed, reopened, canceled, deleted, receipt_matched, receipt_unlinked, auto_categorized, payment_status_changed Sort order by timestamp
Available options:
asc, desc Maximum number of records to return
Required range:
1 <= x <= 500Number of records to skip
Required range:
x >= 0Response
Successful Response
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).
Was this page helpful?